Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 81)
@@ -54,67 +54,71 @@
             /// </summary>
             MessageBoard,
             /// <summary>
-            /// tabPage3:承認一覧
+            /// tabPage3:工事承認一覧
             /// </summary>
-            DocumentApproval,
+            ConstructApproval,
             /// <summary>
-            /// tabPage4:工事案件
+            /// tabPage4:担当者承認一覧
             /// </summary>
+            PersonApproval,
+            /// <summary>
+            /// tabPage5:工事案件
+            /// </summary>
             SalesInProjects,
             /// <summary>
-            /// tabPage5:入札案件
+            /// tabPage6:入札案件
             /// </summary>
             Tenders,
             /// <summary>
-            /// tabPage6:予算取り案件
+            /// tabPage7:予算取り案件
             /// </summary>
             BudgetUpProjects,
             /// <summary>
-            /// tabPage7:受注工事
+            /// tabPage8:受注工事
             /// </summary>
             ConstructionProjects,
             /// <summary>
-            /// tabPage8:増減工事
+            /// tabPage9:増減工事
             /// </summary>
             FluctuationProjects,
             /// <summary>
-            /// tabPage9:非受注工事
+            /// tabPage10:非受注工事
             /// </summary>
             NonOrders,
             /// <summary>
-            /// tabPage10:完了工事
+            /// tabPage11:完了工事
             /// </summary>
             CompletionOfConstruction,
             /// <summary>
-            /// tabPage11:行動一覧
+            /// tabPage12:行動一覧
             /// </summary>
             ActionSchedule,
             /// <summary>
-            /// tabPage12:人員配置
+            /// tabPage13:人員配置
             /// </summary>
             StaffAssignment,
             /// <summary>
-            /// tabPage13:売上グラフ
+            /// tabPage14:売上グラフ
             /// </summary>
             SalesGraph,
             /// <summary>
-            ///  tabPage14:受注管理
+            ///  tabPage15:受注管理
             /// </summary>
             OrderMenu,
             /// <summary>
-            ///  tabPage15:施工管理
+            ///  tabPage16:施工管理
             /// </summary>
             ConstructionMenu,
             /// <summary>
-            /// tabPage16:総務管理
+            /// tabPage17:総務管理
             /// </summary>
             Affairs,
             /// <summary>
-            /// tabPage17:各種提出書類
+            /// tabPage18:各種提出書類
             /// </summary>
             DocumentsToBeBubmitted,
             /// <summary>
-            /// tabPage18:BOSSマスタ
+            /// tabPage19:マスタメンテナンス
             /// </summary>
             MentenanceMenu,
         }
@@ -135,67 +139,71 @@
             /// </summary>
             MessageBoard,
             /// <summary>
-            /// 3:書類承認
+            /// 3:工事承認
             /// </summary>
-            DocumentApproval,
+            ConstructApproval,
             /// <summary>
-            /// 4:工事案件
+            /// 4:担当者承認
             /// </summary>
+            PersonApproval,
+            /// <summary>
+            /// 5:工事案件
+            /// </summary>
             SalesInProjects,
             /// <summary>
-            /// 5:入札案件
+            /// 6:入札案件
             /// </summary>
             Tenders,
             /// <summary>
-            /// 6:予算取り案件
+            /// 7:予算取り案件
             /// </summary>
             BudgetUpProjects,
             /// <summary>
-            /// 7:受注工事
+            /// 8:受注工事
             /// </summary>
             ConstructionProjects,
             /// <summary>
-            /// 8:増減工事
+            /// 9:増減工事
             /// </summary>
             FluctuationProjects,
             /// <summary>
-            /// 9:非受注工事
+            /// 10:非受注工事
             /// </summary>
             NonOrders,
             /// <summary>
-            /// 10:完了工事
+            /// 11:完了工事
             /// </summary>
             CompletionOfConstruction,
             /// <summary>
-            /// 11:行動予定
+            /// 12:行動予定
             /// </summary>
             ActionSchedule,
             /// <summary>
-            /// 12:人員配置
+            /// 13:人員配置
             /// </summary>
             StaffAssignment,
             /// <summary>
-            /// 13:売上グラフ
+            /// 14:売上グラフ
             /// </summary>
             SalesGraph,
             /// <summary>
-            /// 14:受注管理
+            /// 15:受注管理
             /// </summary>
             OrderMenu,
             /// <summary>
-            /// 15:施工管理
+            /// 16:施工管理
             /// </summary>
             ConstructionMenu,
             /// <summary>
-            /// 16:総務管理
+            /// 17:総務管理
             /// </summary>
             Affairs,
             /// <summary>
-            /// 17:各種提出書類
+            /// 18:各種提出書類
             /// </summary>
             DocumentsToBeBubmitted,
             /// <summary>
-            /// 18:BOSSマスタ
+            /// 19:マスタメンテナンス
             /// </summary>
             MentenanceMenu,
         }
@@ -223,7 +231,8 @@
                                                                                     {"tabPage15", 15},
                                                                                     {"tabPage16", 16},
                                                                                     {"tabPage17", 17},
-                                                                                    {"tabPage18", 18}};
+                                                                                    {"tabPage18", 18},
+                                                                                    {"tabPage19", 19}};
         #endregion
 
         #region メッセージグリッドセル定義
@@ -329,6 +338,13 @@
         private static string[] s_StaffAssignmentFixed = new string[] { "契約工期", "標準進捗", "経過状況" };
         #endregion
 
+        #region 担当者承認固定文字
+        /// <summary>
+        /// 担当者承認固定文字
+        /// </summary>
+        private static string[] s_PersonApprovalFixed = new string[] { "新　規　申　請", "変　更　申　請" };
+        #endregion
+
         #region 人員配置グリッドセルカウント
         /// <summary>
         /// 人員配置グリッドセルカウント
@@ -360,11 +376,11 @@
         private static int s_StaffAssignDaysLine = 1;
         #endregion
 
-        #region 承認グリッドセルカウント
+        #region 工事承認グリッドセルカウント
         /// <summary>
-        /// 承認グリッドセルカウント
+        /// 工事承認グリッドセルカウント
         /// </summary>
-        private enum DocumentApprovalGridCount
+        private enum ConstrAppGridCount
         {
             ConstructionCode = 0,
             ApprovalCode,
@@ -382,6 +398,30 @@
         }
         #endregion
 
+        #region 担当者承認グリッドセルカウント
+        /// <summary>
+        /// 担当者承認グリッドセルカウント
+        /// </summary>
+        private enum PersonAppGridCount
+        {
+            PersonCode = 0,
+            ApprovalCode,
+            OrderNo,
+            DataSearchKey1,
+            DataSearchKey2,
+            DisplayNo,
+            PetitionDetail,
+            ApprovalName,
+            AppPersonName,
+            PetitionDate,
+            ApprovalLimitDate,
+            ApprovalPerson1,
+            ApprovalPerson2,
+            ApprovalPerson3,
+            ApprovalPerson4,
+        }
+        #endregion
+
         #region 受注管理ボタン名前固定部
         /// <summary>
         /// 受注管理ボタン名前固定部
@@ -394,7 +434,7 @@
         /// 受注管理メニューボタン配置
         /// </summary>
         private static int[,] OrderMenuButton = new int[,] {
-                                                            {(int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo,
+                                                            {(int)ClsExcute.ProcessExecuteNo.ConstructionList,
                                                                 0,
                                                                 0
                                                             },
@@ -406,6 +446,10 @@
                                                                 (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
                                                                 0
                                                             },
+                                                            {(int)ClsExcute.ProcessExecuteNo.OrderJoin,
+                                                                (int)ClsExcute.ProcessExecuteNo.ConstructionSplit,
+                                                                0
+                                                            },
         };
         #endregion
 
@@ -416,21 +460,28 @@
         private const string s_btnConstrction = "btnConstruction";
         #endregion
 
+        #region 施工管理表示ラベル名前固定部
+        /// <summary>
+        /// 施工管理表示ラベル名前固定部
+        /// </summary>
+        private const string s_lblConstrction = "lblConstr";
+        #endregion
+
         #region 施工管理メニューボタン配置
         /// <summary>
         /// 施工管理メニューボタン配置
         /// </summary>
-        private static int[,] ConstructionMenuButton = new int[,] {
+        private static int[,] ConstrMenuButton = new int[,] {
                                                                     {(int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList,
                                                                         (int)ClsExcute.ProcessExecuteNo.DRList,
-                                                                        0,
+                                                                        (int)ClsExcute.ProcessExecuteNo.Proceedings,
                                                                         (int)ClsExcute.ProcessExecuteNo.TAndPCosts,
-                                                                        0
+                                                                        (int)ClsExcute.ProcessExecuteNo.DRWork
                                                                     },
-                                                                    {0,
+                                                                    {(int)ClsExcute.SubFormExecuteNo.ActionSchdule,
+                                                                        (int)ClsExcute.SubFormExecuteNo.VehicleSchdule,
                                                                         0,
                                                                         0,
-                                                                        0,
                                                                         0
                                                                     },
                                                                     {0,
@@ -439,7 +490,7 @@
                                                                         0,
                                                                         0
                                                                     },
-                                                                    {(int)ClsExcute.ProcessExecuteNo.ConstructionBudget,
+                                                                    {(int)ClsExcute.ProcessExecuteNo.ConstructionList,
                                                                         (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
                                                                         0,
                                                                         0,
@@ -448,7 +499,13 @@
                                                                     {(int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry,
                                                                         (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
                                                                         (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint,
+                                                                        (int)ClsExcute.ProcessExecuteNo.PurchaseOrderStatus,
+                                                                        0
+                                                                    },
+                                                                    {0,
                                                                         0,
+                                                                        0,
+                                                                        0,
                                                                         0
                                                                     },
                                                                     {0,
@@ -492,23 +549,120 @@
                                                                         0,
                                                                         0,
                                                                         0
+                                                                    }
+        };
+        #endregion
+
+        #region 施工管理ボタン行高さ
+        /// <summary>
+        /// 施工管理ボタン行高さ
+        /// </summary>
+        private const float s_ConstrRowHeight = 36F;
+        #endregion
+
+        #region 施工管理ボタン名前固定部
+        /// <summary>
+        /// 施工管理ボタン名前固定部
+        /// </summary>
+        private const string s_btnAffairs = "btnAffairs";
+        #endregion
+
+        #region 総務管理表示ラベル名前固定部
+        /// <summary>
+        /// 総務管理表示ラベル名前固定部
+        /// </summary>
+        private const string s_lblAffairs = "lblAffairs";
+        #endregion
+
+        #region 総務管理メニューボタン配置
+        /// <summary>
+        /// 総務管理メニューボタン配置
+        /// </summary>
+        private static int[,] AffairsMenuButton = new int[,] {
+                                                                    {(int)ClsExcute.SubFormExecuteNo.ActionSchdule,
+                                                                        (int)ClsExcute.SubFormExecuteNo.VehicleSchdule,
+                                                                        0,
+                                                                        0,
+                                                                        0
                                                                     },
+                                                                    {(int)ClsExcute.ProcessExecuteNo.DRWork,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {(int)ClsExcute.ProcessExecuteNo.ConstructionList,
+                                                                        (int)ClsExcute.ProcessExecuteNo.ConstructionList,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
                                                                     {0,
                                                                         0,
                                                                         0,
                                                                         0,
                                                                         0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
                                                                     }
         };
         #endregion
 
-        #region マスタメンテボタン配列
+        #region 総務管理ボタン行高さ
         /// <summary>
-        /// マスタメンテボタン配列
+        /// 総務管理ボタン行高さ
         /// </summary>
-        private const int s_MentenanceRowHeight = 44;
+        private const float s_AffairsRowHeight = 36F;
         #endregion
 
+        #region 各種提出書類ボタン名前固定部
+        /// <summary>
+        /// 各種提出書類ボタン名前固定部
+        /// </summary>
+        private const string s_btnDocApp = "btnDocApp";
+        #endregion
+
+        #region 各種提出書類メニューボタン配置
+        /// <summary>
+        /// 各種提出書類メニューボタン配置
+        /// </summary>
+        private static int[,] DocAppMenuButton = new int[,] {
+                                                            {(int)ClsExcute.ProcessExecuteNo.CostomerRegist,
+                                                                0,
+                                                                0
+                                                            },
+                                                            {(int)ClsExcute.ProcessExecuteNo.SubConstrRegist,
+                                                                0,
+                                                                0
+                                                            },
+                                                            {0,
+                                                                0,
+                                                                0
+                                                            },
+                                                            {0,
+                                                                0,
+                                                                0
+                                                            },
+        };
+        #endregion
+
+        #region マスタメンテボタン行高さ
+        /// <summary>
+        /// マスタメンテボタン行高さ
+        /// </summary>
+        private const int s_MentenanceRowHeight = 40;
+        #endregion
+
         #region 旧セキュリティメンテメニュー関連
         /// <summary>
         /// 旧セキュリティカラー表示
@@ -832,6 +986,9 @@
                 // 画面初期データセット
                 DisplayDataLoad();
 
+                // ********** 担当者承認を未実装のため非表示にする ***********
+                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.PersonApproval, false);
+
                 // システムログイン
                 if (LoginAction() == DialogResult.No)
                 {
@@ -1955,9 +2112,9 @@
         }
         #endregion
 
-        #region 承認一覧
+        #region 工事承認一覧
         /// <summary>
-        /// 承認一覧グリッドクリック時処理
+        /// 工事承認一覧グリッドクリック時処理
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
@@ -1974,31 +2131,100 @@
                 GetGridSortStatus(dgv);
 
                 // 工事番号取得
-                int iConstructionCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)DocumentApprovalGridCount.ConstructionCode].Value);
+                int iConstructionCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)ConstrAppGridCount.ConstructionCode].Value);
                 // 承認機能番号取得
-                int iApprovalCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)DocumentApprovalGridCount.ApprovalCode].Value);
+                int iApprovalCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)ConstrAppGridCount.ApprovalCode].Value);
                 // 受付番号取得
-                int iOrderNo = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)DocumentApprovalGridCount.OrderNo].Value);
+                int iOrderNo = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)ConstrAppGridCount.OrderNo].Value);
 
                 // 起動資格の確認
-                if ((bExecFlg = ClsSecurityPermission.PersonDataAccess(iConstructionCode, false)))
-                {
-                    // 自画面非表示
-                    if (CommonMotions.ProductionExecution) this.Visible = false;
+                if (!(bExecFlg = ClsSecurityPermission.PersonDataAccess(iConstructionCode, false))) return;
 
-                    // 次起動プロセスセット
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalScreen);
-                    // 選択工事番号セット
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iConstructionCode);
-                    // 選択承認機能番号セット
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
-                    // 受付番号セット
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iOrderNo);
+                // 自画面非表示
+                if (CommonMotions.ProductionExecution) this.Visible = false;
 
-                    // 処理実行
-                    ClsExcute.ProcesscExecute();
+                // 次起動プロセスセット
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalScreen);
+                // 選択工事番号セット
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iConstructionCode);
+                // 選択承認機能番号セット
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+                // 受付番号セット
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iOrderNo);
+
+                // 処理実行
+                ClsExcute.ProcesscExecute();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                if (bExecFlg)
+                {
+                    // 再表示
+                    DisplayDataLoad();
+                    // 自画面表示
+                    if (CommonMotions.ProductionExecution) this.Visible = true;
                 }
             }
+        }
+        #endregion
+
+        #region 担当者承認一覧グリッドクリック時処理
+        /// <summary>
+        /// 担当者承認一覧グリッドクリック時処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvPersonApp_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            bool bExecFlg = false;
+            try
+            {
+                if (e.ColumnIndex < 0 || e.RowIndex < 0) return;
+                if (!sender.GetType().Equals(typeof(DataGridViewEX))) return;
+                DataGridViewEX dgv = (DataGridViewEX)sender;
+
+                // ソート状態退避
+                GetGridSortStatus(dgv);
+
+                // 担当者番号取得
+                int iPersonCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)PersonAppGridCount.PersonCode].Value);
+                // 承認機能番号取得
+                int iApprovalCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)PersonAppGridCount.ApprovalCode].Value);
+                // 受付日付取得
+                DateTime OrderDate = CommonMotions.cnvDate(dgv.CurrentRow.Cells[(int)PersonAppGridCount.PetitionDate].Value);
+                // 受付番号取得
+                int iOrderNo = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)PersonAppGridCount.OrderNo].Value);
+
+                // 起動資格の確認
+                if (!(bExecFlg = ClsSecurityPermission.PersonDataAccess2(iPersonCode, iApprovalCode, OrderDate, iOrderNo))) return;
+
+                // 自画面非表示
+                if (CommonMotions.ProductionExecution) this.Visible = false;
+
+                // 次起動プロセスセット
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+                // 選択工事番号セット
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iPersonCode);
+                // 選択承認機能番号セット
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+                // 受付日
+                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(OrderDate);
+                // 受付番号セット
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iOrderNo);
+
+                // 検索日付キー
+                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(CommonMotions.cnvDate(dgv.CurrentRow.Cells[(int)PersonAppGridCount.DataSearchKey1].Value));
+                // 検索連番キー
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)PersonAppGridCount.DataSearchKey2].Value));
+
+
+                // 処理実行
+                ClsExcute.ProcesscExecute();
+            }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
@@ -2034,94 +2260,9 @@
                 System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
                 int ButtonCol = tblLayoutOrder.GetColumn(btnKey);                           // 列取得（Ｘ）
                 int ButtonRow = tblLayoutOrder.GetRow(btnKey);                              // 行取得（Ｙ）
-                switch (ButtonRow)
-                {
-                    case 0:
-                        switch (ButtonCol)
-                        {
-                            case 0:
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                                //　工事基本情報入力
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
-                                break;
-                        }
-                        break;
-                    case 2:
-                        switch (ButtonCol)
-                        {
-                            case 0:
-                                // ----- 起動プロセス設定
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
-
-                                //　積算見積入力
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateInput);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                                break;
-                            case 2:
-                                // ----- 起動プロセス設定
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
-
-                                // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                //　積算見積書承認
-                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("積算見積書承認")).Key;
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
-                                break;
-                            case 4:
-                                // ----- 起動プロセス設定
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
-
-                                //　積算見積印刷
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimatePrint);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                                break;
-                        }
-                        break;
-                    case 4:
-                        switch (ButtonCol)
-                        {
-                            case 0:
-                                // ----- 起動プロセス設定
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
-
-                                //　積算予算入力
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateBudget);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                                break;
-                            case 2:
-                                // ----- 起動プロセス設定
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
-
-                                // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                //　積算予算書承認
-                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("積算予算書承認")).Key;
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
-                                break;
-                        }
-                        break;
-                    case 6:
-                        switch (ButtonCol)
-                        {
-                            case 0:
-                                // 契約結合
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.OrderJoin);
-                                break;
-                            case 2:
-                                // 見積分割
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionSplit);
-                                break;
-                        }
-                        break;
-                }
-                if (NowPoint < 0) return;
-
-                // 処理実行
-                ClsExcute.ProcesscExecute();
+                // 処理起動
+                OrderTabEvent(ButtonRow, ButtonCol, ref NowPoint);
             }
             catch (Exception ex)
             {
